Available source filters
curl --request GET \
--url https://api.dev.impactu.colav.co/search/sources/filtersimport requests
url = "https://api.dev.impactu.colav.co/search/sources/filters"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dev.impactu.colav.co/search/sources/filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dev.impactu.colav.co/search/sources/filters",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dev.impactu.colav.co/search/sources/filters"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dev.impactu.colav.co/search/sources/filters")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dev.impactu.colav.co/search/sources/filters")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"apc_range": {"max_apc": 8900, "min_apc": 0.01},
"license_type": [{"count": 11798, "title": "CC BY", "value": "CC BY"}],
"publication_time": {"max_weeks": 100, "min_weeks": 1},
"scimago_quartiles": [{"count": 33978, "title": "Sin cuartil", "value": "-"}],
"source_types": [{"count": 257907, "title": "Revista", "value": "journal"}],
"status": [{"count": 282451, "title": "Cerrado", "value": "closed"}],
"topics": [{"count": 1662, "title": "Business, Innovation, and Economy", "value": "https://openalex.org/T13255"}]
}
{
"error": "1 validation error for QueryParams\nmax\n Input should be greater than or equal to 1 [type=greater_than_equal, input_value='0', input_type=str]\n For further i…"
}
Search
Available source filters
Options available to filter the source search, with their number of results.
GET
/
search
/
sources
/
filters
Available source filters
curl --request GET \
--url https://api.dev.impactu.colav.co/search/sources/filtersimport requests
url = "https://api.dev.impactu.colav.co/search/sources/filters"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dev.impactu.colav.co/search/sources/filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dev.impactu.colav.co/search/sources/filters",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dev.impactu.colav.co/search/sources/filters"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dev.impactu.colav.co/search/sources/filters")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dev.impactu.colav.co/search/sources/filters")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"apc_range": {"max_apc": 8900, "min_apc": 0.01},
"license_type": [{"count": 11798, "title": "CC BY", "value": "CC BY"}],
"publication_time": {"max_weeks": 100, "min_weeks": 1},
"scimago_quartiles": [{"count": 33978, "title": "Sin cuartil", "value": "-"}],
"source_types": [{"count": 257907, "title": "Revista", "value": "journal"}],
"status": [{"count": 282451, "title": "Cerrado", "value": "closed"}],
"topics": [{"count": 1662, "title": "Business, Innovation, and Economy", "value": "https://openalex.org/T13255"}]
}
{
"error": "1 validation error for QueryParams\nmax\n Input should be greater than or equal to 1 [type=greater_than_equal, input_value='0', input_type=str]\n For further i…"
}
Returns the values you can use in the filters of Search sources.
The options and their counts depend on the criteria you send: only those that exist within that result are returned.
Query parameters
All are optional and work the same as in Search sources. The filters accept several values separated by commas.string
Search text (source name).
string
Source type. Use the returned
value (for example, journal).string
Current Scimago quartile. Example:
Q1,Q2.string
APC range in USD: minimum and maximum separated by a comma. Example:
100,2000.string
Open access route. Use the returned
value (for example, open or
diamond).string
Publication time in weeks: minimum and maximum separated by a comma. Example:
4,12.string
License type. Example:
CC BY,CC BY-NC.string
OpenAlex topics. Use the returned
value (URL).Response
The response is an object with one field per filter.Option lists
object[]
object[]
Available Scimago quartiles (
Q1, Q2, Q3, Q4). Same structure as
source_types.object[]
Available license types (for example,
CC BY). Same structure as
source_types.object[]
Available OpenAlex topics. The
value is the topic URL. Same
structure as source_types.Ranges
object
Option tree
object[]
{
"apc_range": {"max_apc": 8900, "min_apc": 0.01},
"license_type": [{"count": 11798, "title": "CC BY", "value": "CC BY"}],
"publication_time": {"max_weeks": 100, "min_weeks": 1},
"scimago_quartiles": [{"count": 33978, "title": "Sin cuartil", "value": "-"}],
"source_types": [{"count": 257907, "title": "Revista", "value": "journal"}],
"status": [{"count": 282451, "title": "Cerrado", "value": "closed"}],
"topics": [{"count": 1662, "title": "Business, Innovation, and Economy", "value": "https://openalex.org/T13255"}]
}
{
"error": "1 validation error for QueryParams\nmax\n Input should be greater than or equal to 1 [type=greater_than_equal, input_value='0', input_type=str]\n For further i…"
}